Network Analyze
7 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| downloadCaptureFile | POST | Download package capture file |
| getAllCaptureDevices | GET | Get devices that can capture packages |
| queryPackageCaptureStatus | GET | Query package capture status |
| getDeviceInterfaces | GET | Get device interfaces |
| startPackageCapture | POST | Start package capturing |
| stopPackageCapture | GET | Stop package capturing |
| getLastCaptureDevice | GET | Get last capture device |
downloadCaptureFile
POST /openapi/v1/{omadacId}/files/sites/{siteId}/capture/device-type/{deviceType}/{deviceMac}/download
Download package capture file
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceType | path | string | yes | Device type, and should be a value in [ap, switch, gateway]. |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema DownloadCaptureFileConfig
| Field | Type | Required | Description |
|---|---|---|---|
requestId | string | yes | A GUID based on the timestamp. |
stack | boolean | no | Parameter [stack] indicates whether the device supports stacking. |
// omada_call_operation
{
"operationId": "downloadCaptureFile",
"params": {
"siteId": "<siteId>",
"deviceType": "<deviceType>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Download package capture file.
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getAllCaptureDevices
GET /openapi/v1/{omadacId}/sites/{siteId}/capture/all-devices/device-type/{deviceType}
Get devices that can capture packages
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceType | path | string | yes | Device type, and should be a value in [ap, switch, gateway]. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getAllCaptureDevices",
"params": {
"siteId": "<siteId>",
"deviceType": "<deviceType>"
}
}Details, permissions and error codes
Get the grid of devices that can capture packages.
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
queryPackageCaptureStatus
GET /openapi/v1/{omadacId}/sites/{siteId}/capture/device-type/{deviceType}/{deviceMac}/{requestId}/status
Query package capture status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceType | path | string | yes | Device type, and should be a value in [ap, switch, gateway]. |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
requestId | path | string | yes | A GUID based on the timestamp. |
// omada_call_operation
{
"operationId": "queryPackageCaptureStatus",
"params": {
"siteId": "<siteId>",
"deviceType": "<deviceType>",
"deviceMac": "<deviceMac>",
"requestId": "<requestId>"
}
}Details, permissions and error codes
Query package capture status.
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getDeviceInterfaces
GET /openapi/v1/{omadacId}/sites/{siteId}/capture/device-type/{deviceType}/{deviceMac}/interfaces
Get device interfaces
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceType | path | string | yes | Device type, and should be a value in [ap, switch, gateway]. |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "getDeviceInterfaces",
"params": {
"siteId": "<siteId>",
"deviceType": "<deviceType>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Get device interfaces.
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
startPackageCapture
POST /openapi/v1/{omadacId}/sites/{siteId}/capture/device-type/{deviceType}/{deviceMac}/start
Start package capturing
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceType | path | string | yes | Device type, and should be a value in [ap, switch, gateway]. |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
Request body — application/json (required) — schema PackageCaptureConfig
| Field | Type | Required | Description |
|---|---|---|---|
duration | integer | no | Packet capture duration, in seconds. |
interfaceType | integer | no | Interface type. 0: Wired; 1: Wireless; 2: LAN Network. |
singlePackageSize | integer | no | Single package size, in bytes. |
channel | integer | no | (Wireless) 0: 2.4GHz 1: 5GHz-1 2:5GHz-2 3: 6GHz |
interfaceName | string | no | Interface name. |
interfaceId | string | no | Interface ID, for example: if interfaceType is network, interfaceId should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
filterRules | string | no | Filter rules. |
captureMode | integer | no | Capture mode. 0: Local packet capture; 1: Flow-mode packet capture. |
arChannel | integer | no | Channel. |
otaFilterRules | string | no | Filter rules of air interface packet capture. |
srcMac | integer | no | Source L4 port of the packet. |
destMac | string | no | Destination MAC address of the packet. |
destPort | integer | no | Destination L4 port of the packet. |
srcIp | string | no | IP address of the message sender. |
destIp | string | no | Destination IP address of the packet. |
protocol | integer | no | Packet type/protocol. It's required when a Switch captures packets. |
stack | boolean | no | Whether the device supports stacking. |
unit | integer | no | Equipment unit ID. |
// omada_call_operation
{
"operationId": "startPackageCapture",
"params": {
"siteId": "<siteId>",
"deviceType": "<deviceType>",
"deviceMac": "<deviceMac>"
},
"body": "{...}"
}Details, permissions and error codes
Start package capturing.
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
stopPackageCapture
GET /openapi/v1/{omadacId}/sites/{siteId}/capture/device-type/{deviceType}/{deviceMac}/stop
Stop package capturing
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
deviceType | path | string | yes | Device type, and should be a value in [ap, switch, gateway]. |
deviceMac | path | string | yes | Device MAC address, like AA-BB-CC-DD-EE-FF |
// omada_call_operation
{
"operationId": "stopPackageCapture",
"params": {
"siteId": "<siteId>",
"deviceType": "<deviceType>",
"deviceMac": "<deviceMac>"
}
}Details, permissions and error codes
Stop package capturing.
The interface requires one of the permissions:
Site Tools Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getLastCaptureDevice
GET /openapi/v1/{omadacId}/sites/{siteId}/capture/lastDevice
Get last capture device
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getLastCaptureDevice",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get last capture device.
The interface requires one of the permissions:
Site Tools Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.